# tutaj zaimportujemy dane z pliku csv
import csv
plik = "/home/adasiek/Nextcloud/05_SZKOLENIA/10_COMARCH/20251215_Python_Nieprogramisci/2025_12_15_python/dzien_01/dane.csv"
dane_wczytane = []

print(f"{dane_wczytane=}")
# standardowy "context manager" dla open()
#tu plik jest otwierany
with open(plik, mode="r", encoding="UTF-8") as nasz_plik:
    nasze_dane = csv.reader(nasz_plik, delimiter=',')
    print(nasze_dane)

    for element173 in nasze_dane:
        print(f"Kolejny element to: {element173}")
        # dodamy element do listy dane_wczytane
        dane_wczytane.append(element173)
        print(f"{dane_wczytane=}")

print("Teraz plik jest na pewno zamknięty.")
print(f"{dane_wczytane=}")